> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization structures

> Retrieve the organization structure tree.



## OpenAPI

````yaml https://api.saas-manager.biz.nuro.jp/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/structures
openapi: 3.0.0
info:
  title: Assist SaaS Manager Public API
  description: >-
    Assist SaaS Manager API is a RESTful API providing programmatic access to
    much of the data in the system. It provides predictable URLs for accessing
    resources, and uses built-in HTTP features to receive commands and return
    responses. This makes it easy to communicate with from a wide variety of
    environments, from command-line utilities to gadgets to the browser URL bar
    itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.saas-manager.biz.nuro.jp
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: Structures
    description: ''
  - name: People
    description: ''
  - name: People Stats
    description: ''
  - name: Employee Masters
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Custom Services
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Workspace Licenses
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Service Roles
    description: ''
  - name: Service Licenses
    description: ''
  - name: Recommended Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/structures:
    get:
      tags:
        - Structures
      summary: List organization structures
      description: Retrieve the organization structure tree.
      operationId: publicGetStructures
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: keyword
          required: false
          in: query
          description: Search keyword.
          schema:
            example: Company A
            type: string
        - name: type
          required: false
          in: query
          description: Filter for structure type.
          schema:
            $ref: '#/components/schemas/DefaultTemplateType'
        - name: structureId
          required: false
          in: query
          description: Filter to include only this structure and all its descendants.
          schema:
            type: number
            example: 123
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetStructuresResponseDto'
        '401':
          description: Invalid or missing API key
      security:
        - API-Key: []
components:
  schemas:
    DefaultTemplateType:
      type: string
      enum:
        - company
        - sub-company
        - department
        - division
        - group
        - location
        - project
        - team
    PublicGetStructuresResponseDto:
      type: object
      properties:
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicStructureResponseDto'
      required:
        - items
    PublicStructureResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        name:
          type: string
          readOnly: true
          example: company
        type:
          nullable: true
          readOnly: true
          example: company
          allOf:
            - $ref: '#/components/schemas/DefaultTemplateType'
        memberCount:
          type: number
          readOnly: true
          example: 42
        serviceCount:
          type: number
          readOnly: true
          example: 42
        subStructureCount:
          description: The count of direct children, broken down by type
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/SubStructureCountDto'
        subStructures:
          description: List of IDs of direct children
          readOnly: true
          type: array
          items:
            type: number
        parentStructures:
          description: List of IDs of direct parents
          readOnly: true
          type: array
          items:
            type: number
        customAttributes:
          type: object
          example:
            zip_code: '12345'
            address: 123 Main St
          additionalProperties:
            nullable: true
      required:
        - id
        - name
        - type
        - memberCount
        - serviceCount
        - subStructureCount
        - subStructures
        - parentStructures
        - customAttributes
    SubStructureCountDto:
      type: object
      properties:
        companies:
          type: number
          readOnly: true
          example: 42
        departments:
          type: number
          readOnly: true
          example: 42
        divisions:
          type: number
          readOnly: true
          example: 42
        groups:
          type: number
          readOnly: true
          example: 42
        locations:
          type: number
          readOnly: true
          example: 42
        projects:
          type: number
          readOnly: true
          example: 42
        teams:
          type: number
          readOnly: true
          example: 42
        custom:
          type: number
          readOnly: true
          example: 42
        total:
          type: number
          readOnly: true
          example: 42
      required:
        - companies
        - departments
        - divisions
        - groups
        - locations
        - projects
        - teams
        - custom
        - total
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank' rel='noopener noreferrer'
        href='https://www.saas-manager.biz.nuro.jp/'>Assist SaaS Manager</a>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.